      subroutine hec_geo_jul96
c
c july 96
c north american front module: 16 pads equipped over 3 depths
c european front module      : 16 pads equipped over 3 depths
c european back module       : 16 pads equipped over 2 depths
c
c the back module is centered in phi
c
c fill geometry correspondence tables for adc channels
c see hec_geo.inc for details on the various systems
c
c - tables relating the adc channel number system (ic)
c                to the database system (db)
c
c - tables relating the adc channel number system (ic)
c                to the physics system (ph)
c 
c original  March 97
c
      implicit none
c
c geometry correspondence tables common
c
      include'./inc/hec_par.inc'
      include'./inc/hec_geo.inc'
c
c local variables
c
      integer ic
      integer i_mod
      integer i_seg
      integer i_pad
      integer i_eta
      integer i_phi
      integer i_z
c
c reset geometry
c
      call vzero(ictodb, 3*i_adc_dim)
      call vzero(ictoph, 3*i_adc_dim)
      call vzero(dbtoic, i_mod_max*i_seg_max*i_pad_max)
      call vzero(phtoic, i_eta_max*i_phi_max*i_z_max)
c
c fill database system correspondence table
c *** should really read database file...
c
      do i_mod = 1, i_mod_max
        do i_seg = 1, i_seg_max
          do i_pad = 1, i_pad_max
            ic = i_pad + (i_seg - 1)*i_pad_max 
     +                 + (i_mod - 1)*i_pad_max*i_seg_max
            ictodb(ic, 1) = i_mod
            ictodb(ic, 2) = i_seg
            ictodb(ic, 3) = i_pad
            dbtoic(i_mod, i_seg, i_pad) = ic
          enddo
        enddo
      enddo
c
c fill physics system correspondence table
c
      i_adc_used = 128
c 
      i_mod_used = 2
      i_seg_used = 5 
      i_pad_used = 16
c 
      i_eta_used = 12
      i_phi_used = 4
      i_z_used   = 5
c 
      i_mod = 1
      do i_seg = 1, i_seg_used
        do i_pad = 1, i_pad_used
          ic = dbtoic(i_mod, i_seg, i_pad)
c 
          i_eta = (i_pad - 1)/2 + i_seg
          i_phi = 2*(i_mod_used - i_mod + 1) - mod(i_pad, 2)
          if (i_seg .ge. 4) i_phi = i_phi - 1 !back of module 1 in middle
          i_z   = i_seg 
c 
          ictoph(ic, 1) = i_eta
          ictoph(ic, 2) = i_phi
          ictoph(ic, 3) = i_z
          phtoic(i_eta, i_phi, i_z) = ic
        enddo
      enddo
c 
      i_mod = 2
      do i_seg = 1, 3
        do i_pad = 1, i_pad_used
          ic = dbtoic(i_mod, i_seg, i_pad)
c 
          i_eta = (i_pad - 1)/2 + i_seg
          i_phi = 2*(i_mod_used - i_mod +1) - mod(i_pad, 2)
          i_z   = i_seg 
c 
          ictoph(ic,1) = i_eta
          ictoph(ic,2) = i_phi
          ictoph(ic,3) = i_z
          phtoic(i_eta, i_phi, i_z) = ic
        enddo
      enddo
c
      print *,' *** July 96 geometry correspondence tables filled'
c
      end
        

