      subroutine hec_ini
c
c 03/12/96  ML  improve order of calls to allow proper hbook handling
c 11/03/97  ML  include user_card and hec_card routines.
c
c initialization routine
c
c  1- zebra initialization
c  2- hbook initialization
c  3- datacard (ffread) initialization
c  4- user datacard initialization
c  5- read datacards
c  6- user initialization
c  7- fill geometry correspondence tables
c  8- read pedestal file if desired
c  9- read calibration file if desired
c 10- open zebra file 
c
      implicit none
c
c zebra and hbook common
c
      include'./inc/hec_buf.inc'
c
c datacard values common
c
      include'./inc/hec_datacard.inc'
c
c zebra initialization
c
      call mzebra(-1)
      ixstor=0
      call mzstor(ixstor,'/zzz/','.',ifence,lev,blvect(1),blvect(1),
     +blvect(100000),blvect(1600001))
      if (ixstor .ne. 0) then
        print *,' from mzstor: ixstor = ',ixstor
        stop
      endif
c
c hbook initialization
c
      call hlimit(-900000)
c
c datacard initialization
c
      call hec_card
c
c user datacard initialization
c
      call user_card
c
c read user datacards
c
      call ffgo
c
c user initialization
c
      call user_ini
c
c fill geometry correspondence tables and clear channels
c
      call hec_geo
c
c read pedestal file if required
c
      if (k_rdped .gt. 0) call hec_ped_read
c
c read calibration file if required
c
      if (k_rdcal .gt. 0) call hec_cal_read
c
c open zebra file
c
      open(lunzeb,file='bank.fz',form='unformatted',status='old')
c
      print *,' *** initialization done'
c
      end

