      subroutine hec_trig
c
c process trigger bits from pattern units and produce useful
c trigger words to be found in hec_trig.inc
c
      implicit none
c
      integer i
      logical vw, m1, m2
c
c event trigger common
c
      include'./inc/hec_trig.inc'
c
c event header EVTH common
c
      include'./inc/hec_evth.inc'
c
c define a halo trigger
c - hits in the veto wall before the calorimeter
c - hits on the up and down counters with a hole that are in front
c   of the F1 and F2 finger counters
c - early pileup hits
c - late pileup hits
c
      vw = .false.
      do i = 5, 16
        vw = vw .or. lpat_2(i)
      enddo
      trig_halo = vw .or. lpat_1(2) .or. lpat_1(11)
      trig_halo = trig_halo .or. lpat_1(5) .or. lpat_4(1)
c
c define a muon counter trigger
c - hits from the muon counter wall after the cryostat
c - hits from the muon counter wall after the shielding
c
      m1 = .false.
      do i = 1, 4
       m1 = m1 .or. lpat_2(i)
      enddo
      do i = 11, 16
       m1 = m1 .or. lpat_3(i)
      enddo
      m2 = .false.
      do i = 2, 10
       m2 = m2 .or. lpat_3(i)
      enddo
      trig_mucounters = m1 .and. m2
c
c define a minimum bias physics trigger
c - beam signal
c - both F1 and F2 fingers
c - no halo
c
      trig_physics = lpat_1(3) .and. (.not. trig_halo)
c
c define a muon trigger
c
      trig_mu = trig_physics .and. trig_mucounters
c
c define a electron/pion trigger
c
      trig_epi = trig_physics .and. (.not. trig_mucounters)
c
c define a pion trigger
c - uses the cerenkov counter info
c
      trig_pi = trig_epi .and. (.not. lpat_1(6))
c
c define an electron trigger
c
      trig_e = trig_epi .and. lpat_1(6)
c
c define a random trigger
c
      trig_random = lpat_4(3)
c
      end
